Digest::MD5 -

# class Digest::MD5

- Digest::MD5
- Digest::Base
- Reference
- Object

## Overview

Implements the MD5 digest algorithm.

Warning: MD5 is no longer a cryptographically secure hash, and should not be used in security-related components, like password hashing. For passwords, see `Crypto::Bcrypt::Password`. For a generic cryptographic hash, use SHA-256 via `OpenSSL::Digest.new("SHA256")`.

## Defined in:

## Constant Summary

PADDING = `begin padding = StaticArray(UInt8, 64).new(0_u8) padding[0] = 128_u8 padding end`
S11 = `7`
S12 = `12`
S13 = `17`
S14 = `22`
S21 = `5`
S22 = `9`
S23 = `14`
S24 = `20`
S31 = `4`
S32 = `11`
S33 = `16`
S34 = `23`
S41 = `6`
S42 = `10`
S43 = `15`
S44 = `21`

## Constructors

- .new

## Instance Method Summary

- #f(x, y, z)
- #ff(a, b, c, d, x, s, ac)
- #final
- #g(x, y, z)
- #gg(a, b, c, d, x, s, ac)
- #h(x, y, z)
- #hh(a, b, c, d, x, s, ac)
- #i(x, y, z)
- #ii(a, b, c, d, x, s, ac)
- #result : StaticArray(UInt8, 16)
- #rotate_left(x, n)
- #transform(in)
- #update(inBuf, inLen)
- #update(data)

### Class methods inherited from class `Digest::Base`

base64digest(data) : String
base64digest(&block) : String base64digest, digest(data)
digest(&block) digest, hexdigest(data) : String
hexdigest(&block) : String hexdigest

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new #

## Instance Method Detail

def f(x, y, z) #
def ff(a, b, c, d, x, s, ac) #
def final #
def g(x, y, z) #
def gg(a, b, c, d, x, s, ac) #
def h(x, y, z) #
def hh(a, b, c, d, x, s, ac) #
def i(x, y, z) #
def ii(a, b, c, d, x, s, ac) #
def result : StaticArray(UInt8, 16) #
def rotate_left(x, n) #
def transform(in) #
def update(inBuf, inLen) #
def update(data) #